Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.wsee.jaxrpc
Interface WLStub

    public interface WLStub

Weblogic specific stub properties.

Field Summary
`static String` | `COMPLEX` This property is usually automatically set when you use advanced features such as WS-ReliableMessaging, WS-Addressing, and WS-Conversation.
`static String` | `CONVERSATION_ID` This property allows you to set the conversation id on the stub in a conversational web services invoke.
`static Integer` | `CONVERSATION_VERSION_ONE` Conversation version one property value.
`static String` | `CONVERSATION_VERSION_PROPERTY` This property allows you to set the conversation version to be used in a conversational web services invoke.
`static Integer` | `CONVERSATION_VERSION_TWO` Conversation version two property value.
`static String` | `CONVERSATIONAL_METHOD_BLOCK_TIMEOUT` This property allows you to set how long for a conversational continue method to block while waiting for the server to assign the conversation id.
`static String` | `HANDLER_REGISTRY` handler registry
`static String` | `JMS_BYTESMESSAGE` JMS BytesMessage
`static String` | `JMS_TEXTMESSAGE` JMS TextMessage
`static String` | `JMS_TRANSPORT_JNDI_URL` This property is the JMS transport JNDI URL.
`static String` | `JMS_TRANSPORT_MESSAGE_TYPE` This property is the JMS Message type.
`static String` | `MARSHAL_FORCE_INCLUDE_XSI_TYPE` This property is used for including the schema type when marshalling
`static String` | `PROXY_PASSWORD` Proxy password, which if set, will be included in the Mime headers.
`static String` | `PROXY_USERNAME` Proxy user name, which if set, will be included in the Mime headers.
`static String` | `SSL_ADAPTER` SSL adapter
`static String` | `TRANSPORT_SUBJECT_PROPERTY` Subject derived from transport level security.
`static String` | `WSRM_ACKSTO_ANONYMOUS` This property allows you to set the acks to address of the reliable sequence to be anonymous.
`static String` | `WSRM_LAST_MESSAGE` This property allows you to declare the next message to be sent on a stub to be the last message for the current reliable sequence.
`static String` | `WSRM_OFFER_SEQUENCE_EXPIRATION` This property allows you to set the expiration time for an offered reliable sequence.
`static String` | `WSRM_SEQUENCE_EXPIRATION` This property allows you to set the expiration value for a reliable sequence.
`static String` | `WSS_SUBJECT_PROPERTY` Subject derived from message level web service security.

Field Detail

### SSL_ADAPTER

    static final String SSL_ADAPTER

  SSL adapter

  See Also:
    Constant Field Values

### PROXY_USERNAME

    static final String PROXY_USERNAME

  Proxy user name, which if set, will be included in the Mime headers.

  See Also:
    Constant Field Values

### PROXY_PASSWORD

    static final String PROXY_PASSWORD

  Proxy password, which if set, will be included in the Mime headers.

  See Also:
    Constant Field Values

### HANDLER_REGISTRY

    static final String HANDLER_REGISTRY

  handler registry

  See Also:
    Constant Field Values

### CONVERSATION_VERSION_PROPERTY

    static final String CONVERSATION_VERSION_PROPERTY

  This property allows you to set the conversation version to be used in a conversational web services invoke. The property value can be either WLStub.CONVERSATION_VERSION_ONE or WLStub.CONVERSATION_VERSION_TWO. Version two is the default.

  See Also:
    Constant Field Values

### CONVERSATION_VERSION_ONE

    static final Integer CONVERSATION_VERSION_ONE

  Conversation version one property value.

### CONVERSATION_VERSION_TWO

    static final Integer CONVERSATION_VERSION_TWO

  Conversation version two property value.

### CONVERSATION_ID

    static final String CONVERSATION_ID

  This property allows you to set the conversation id on the stub in a conversational web services invoke. The property value set should be a uniquue string.

  See Also:
    Constant Field Values

### CONVERSATIONAL_METHOD_BLOCK_TIMEOUT

    static final String CONVERSATIONAL_METHOD_BLOCK_TIMEOUT

  This property allows you to set how long for a conversational continue method to block while waiting for the server to assign the conversation id. The property value should be an integer value of number of seconds.

  See Also:
    Constant Field Values

### WSRM_SEQUENCE_EXPIRATION

    static final String WSRM_SEQUENCE_EXPIRATION

  This property allows you to set the expiration value for a reliable sequence. The property value should be a javax.xml.datatype.Duration.

  See Also:
    Constant Field Values

### WSRM_OFFER_SEQUENCE_EXPIRATION

    static final String WSRM_OFFER_SEQUENCE_EXPIRATION

  This property allows you to set the expiration time for an offered reliable sequence. The property value should be a javax.xml.datatype.Duration.

  See Also:
    Constant Field Values

### WSRM_ACKSTO_ANONYMOUS

    static final String WSRM_ACKSTO_ANONYMOUS

  This property allows you to set the acks to address of the reliable sequence to be anonymous. The property value should be the string "true".

  See Also:
    Constant Field Values

### WSRM_LAST_MESSAGE

    static final String WSRM_LAST_MESSAGE

  This property allows you to declare the next message to be sent on a stub to be the last message for the current reliable sequence. The property value should be the string "true".

  See Also:
    Constant Field Values

### COMPLEX

    static final String COMPLEX

  This property is usually automatically set when you use advanced features such as WS-ReliableMessaging, WS-Addressing, and WS-Conversation.

  See Also:
    Constant Field Values

### WSS_SUBJECT_PROPERTY

    static final String WSS_SUBJECT_PROPERTY

  Subject derived from message level web service security.

  See Also:
    Constant Field Values

### TRANSPORT_SUBJECT_PROPERTY

    static final String TRANSPORT_SUBJECT_PROPERTY

  Subject derived from transport level security.

  See Also:
    Constant Field Values

### JMS_TRANSPORT_JNDI_URL

    static final String JMS_TRANSPORT_JNDI_URL

  This property is the JMS transport JNDI URL.

  See Also:
    Constant Field Values

### JMS_TRANSPORT_MESSAGE_TYPE

    static final String JMS_TRANSPORT_MESSAGE_TYPE

  This property is the JMS Message type.

  See Also:
    Constant Field Values

### JMS_TEXTMESSAGE

    static final String JMS_TEXTMESSAGE

  JMS TextMessage

  See Also:
    Constant Field Values

### JMS_BYTESMESSAGE

    static final String JMS_BYTESMESSAGE

  JMS BytesMessage

  See Also:
    Constant Field Values

### MARSHAL_FORCE_INCLUDE_XSI_TYPE

    static final String MARSHAL_FORCE_INCLUDE_XSI_TYPE

  This property is used for including the schema type when marshalling

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD